Page MenuHomePhabricator

Template parameter order is normalised on edit if templatedata order is present
Closed, DeclinedPublic

Description

For large infoboxes this can result in dirty diffs. It is particularly confusing when the parameters are all on one line.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2016, 11:53 AM
ssastry triaged this task as Low priority.May 23 2016, 4:41 PM
ssastry added a subscriber: ssastry.

This was a conscious decision. I think this is acceptable in that over time, transclusions get normalized to reflect templatedata order over time. Trying to prevent dirty diffs here is a bit more complexity than seems necessary. Unless there is a clear need for this, I am going to let this be.

Jdforrester-WMF renamed this task from Template parameter order is normalised if templatedata order is present to Template parameter order is normalised on edit if templatedata order is present.May 31 2016, 2:48 PM
Jdforrester-WMF closed this task as Declined.
Jdforrester-WMF changed the task status from Declined to Resolved.

Agreed.

Jdforrester-WMF changed the task status from Resolved to Declined.May 31 2016, 2:49 PM

Dear Phabricator, please don't do that.

@Framawiki Looking at paramOrder
https://fr.wikipedia.org/w/api.php?action=templatedata&titles=Template:Infobox%20Chimie&format=jsonfm

The ones being moved to the bottom are not defined parameters, so those seemingly should follow (or be dropped altogether?).

| C = 16

| H = 32

|O=2

| mobilitEelectronique = 

|Xi

|R36

|S26

and mobilitEelectronique has the wrong capitalization, it should be mobiliteElectronique, but maybe the comparison should be lowercased.